## edu.cwru.SimpleRTS.model
Class AttackAndDeathTest

    java.lang.Object
      edu.cwru.SimpleRTS.model.AttackAndDeathTest

    public class AttackAndDeathTest

extends java.lang.Object

Constructor Summary
`AttackAndDeathTest()`

Method Summary
`static void` `loadTemplates()`
`void` `setUp()`
`void` `testDoesDamage()`
`void` `testMutualAnnihilationAndCleanup()` test to see if two simultaneous deaths work and if the deaths are cleaned up afterwards, so that the units no longer exist in the list
`void` `testRangedStepsAndShoots()` test to see whether a ranged unit out of range will step into range and then fire (dealing damage)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttackAndDeathTest

    public AttackAndDeathTest()

Method Detail

### loadTemplates

    public static void loadTemplates()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDoesDamage

    public void testDoesDamage()

### testRangedStepsAndShoots

    public void testRangedStepsAndShoots()

  test to see whether a ranged unit out of range will step into range and then fire (dealing damage)

### testMutualAnnihilationAndCleanup

    public void testMutualAnnihilationAndCleanup()

  test to see if two simultaneous deaths work and if the deaths are cleaned up afterwards, so that the units no longer exist in the list